from practicum import McuBoard

RQ_SET_LED    = 0
RQ_SET_7SEG   = 1
RQ_GET_SWITCH  = 2

####################################
class PeriBoard(McuBoard):

    ################################
    def setLed(self, led_no, led_val):
        '''
        Set status of LED led_no on peripheral board to led_val
        '''
        self.usb_write(0,index = led_no , value = led_val)

    ################################
    def setLedValue(self, value):
        for i in xrange(3):
         self.usb_write(0,index = i , value = 1<<i & value)
         
    def set7seg(self,num):
        
        self.usb_write(1,index = 0, value = num)
        
    
    def getSwitch(self):
        
        self.usb_read(1,1)[0]

